import org.gradle.plugin.use.PluginDependenciesSpec
import org.gradle.plugin.use.PluginDependencySpec
import kotlin.String

/**
 * Generated by https://github.com/jmfayard/buildSrcVersions
 *
 * Find which updates are available by running
 *     `$ ./gradlew buildSrcVersions`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version.
 */
object Versions {
    const val appcompat: String = "1.1.0-rc01" // available: "1.1.0"

    const val constraintlayout: String = "1.1.3"

    const val recyclerview: String = "1.0.0" // available: "1.1.0"

    const val aapt2: String = "3.6.0-6040484" // available: "4.0.1-6197926"

    const val com_android_tools_build_gradle: String = "3.6.0" // available: "4.0.1"

    const val lint_gradle: String = "26.6.0" // available: "27.0.1"

    const val de_fayard_buildsrcversions_gradle_plugin: String = "0.4.2" // available: "0.7.0"

    const val io_mockk: String = "1.9.3" // available: "1.10.0"

    const val dokka_gradle_plugin: String = "0.9.17" // available: "0.11.0-dev-59"

    const val org_jetbrains_kotlin: String = "1.4.0"

    const val atomicfu_gradle_plugin: String = "0.14.3-1.4.0-rc"

    const val atomicfu: String = "0.14.3-1.4.0-rc"

    const val kotlinx_coroutines_core_jvm: String = "1.3.8-1.4.0-rc"

    const val kotlinx_coroutines_core: String = "1.3.8-1.4.0-rc"

    const val kotlinx_coroutines_test: String = "1.3.8-1.4.0-rc"

    /**
     *
     * See issue 19: How to update Gradle itself?
     * https://github.com/jmfayard/buildSrcVersions/issues/19
     */
    const val gradleLatestVersion: String = "6.5.1"

    const val gradleCurrentVersion: String = "6.5"
}

/**
 * See issue #47: how to update buildSrcVersions itself
 * https://github.com/jmfayard/buildSrcVersions/issues/47
 */
val PluginDependenciesSpec.buildSrcVersions: PluginDependencySpec
    inline get() =
        id("de.fayard.buildSrcVersions").version(Versions.de_fayard_buildsrcversions_gradle_plugin)
